### Hierarchy

- DateTimeRelativeComponent

### Implements

- OnChanges

## Index

### Inputs

- batchText
- relativeToOptions
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- batchText
- relativeTime
- relativeTo
- relativeToOptions
- timeRange
- timeToSubtract
- value
- valueChange

### Methods

- ngOnChanges
- onChange

## Constructors

### constructor

- new DateTimeRelativeComponent(): DateTimeRelativeComponent

- #### Returns DateTimeRelativeComponent

## Properties

### batchText

@Input()
batchText: any

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:116

### relativeTime

relativeTime: string = '00:00'

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:123

### relativeTo

relativeTo: string = 'YESTERDAY'

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:122

### relativeToOptions

@Input()
relativeToOptions: RelativeToOption[]

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:117

### timeRange

timeRange: string = 'MINUTES'

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:121

### timeToSubtract

timeToSubtract: number = 0

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:120

### value

@Input()
value: any[] = null

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:115

### valueChange

@Output()
valueChange: EventEmitter<[Date, Date, RelativeRange]> = ...

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:118

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:125

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### onChange

- onChange(): void

- - Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:140

  #### Returns void

Generated using TypeDoc